using Spectre.Console.Cli;

namespace Geekeey.Extensions.Process.Tests.Dummy.Commands;

internal sealed class EchoCommand : Command<EchoCommand.Settings>
{
	public sealed class Settings : CommandSettings
	{
		[CommandOption("--target")] public OutputTarget Target { get; init; } = OutputTarget.StdOut;

		[CommandOption("--separator <sep>")] public string Separator { get; init; } = " ";
		[CommandArgument(0, "[line]")] public string[] Items { get; init; } = [];
	}


	public override int Execute(CommandContext context, Settings settings)
	{
		foreach (var writer in settings.Target.GetWriters())
		{
			writer.WriteLine(string.Join(settings.Separator, settings.Items));
		}

		return 0;
	}
}