namespace Geekeey.Extensions.Process.Tests.Dummy;

[Flags]
public enum OutputTarget
{
	StdOut = 1,
	StdErr = 2,
	All = StdOut | StdErr
}

internal static class OutputTargetExtensions
{
	public static IEnumerable<TextWriter> GetWriters(this OutputTarget target)
	{
		if (target.HasFlag(OutputTarget.StdOut))
			yield return Console.Out;

		if (target.HasFlag(OutputTarget.StdErr))
			yield return Console.Error;
	}
}